Skip to main content
`Ctrl`+`K`

# STMatSolveHermitianTranspose

Solves \(P^* x = b\), where \(P\) is the preconditioner matrix of the spectral transformation, using a `KSP` object stored internally.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatSolveHermitianTranspose(ST st,Vec b,Vec x)

Collective

## Input Parameters

- st - the spectral transformation context

- b - right hand side vector

## Output Parameter

- x - computed solution

## See Also

ST: Spectral Transformation, `STMatSolve()`

## Level

developer

## Location

src/sys/classes/st/interface/stsles.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages